:root {
  --purple-blue: #361999;
  --ocean-blue: #78fff1;
  --dark-purple: #30006a;
  --cloudy: #fcfcfd;
  --white: #fff;
  --light-red: #ff6495;
  --html-color: #f06529;
  --css-color: #3c99dc;
  --js-color: #f0db4f;
  --react-color: #61dbfb;
  --git-color: #f34f29;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  font-size: 62.5%;
  font-family: "Open Sans", "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell,
    "Helvetica Neue", sans-serif;
  color: var(--white);
  scroll-behavior: smooth;
}

body {
  box-sizing: border-box;
}

.md-container {
  max-width: 1000px;
  margin: 0 auto;
  padding: 0 1rem;
}

.full-width-container {
  background: var(--purple-blue);
  background-image: linear-gradient(
      0deg,
      rgba(54, 25, 153, 0.85),
      rgba(54, 25, 153, 0.85)
    ),
    url(../images/bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 100% 70%;
}

.main-header {
  /* height: 100vh; */
  padding: 2rem 1rem 0;
  transition: all 0.5s;
}

.main-navbar {
  background-color: var(--purple-blue);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
  border: 3px solid rgb(120, 255, 241, 0.2);
  border-radius: 3rem;
  padding: 1rem 2rem 1rem 4.5rem;
  overflow: hidden;
}

.navbar-brand {
  /* display: flex; */
  /* justify-content: space-between;
  align-items: center; */
  font-family: "Lato", sans-serif;
  font-size: 2rem;
  text-transform: uppercase;
  color: var(--ocean-blue);
  text-decoration: none;
  transition: all 0.5s;
  /* width: 16rem; */
}

.navbar-brand:hover {
  transform: scale(1.1);
}

.firstname,
.lastname {
  font-weight: 900;
}

.firstname {
  margin-right: 0.3rem;
}

.navbar-brand h3 {
  margin: 0;
  padding: 0;
}

.navigation {
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  justify-items: center;
  list-style: none;
  font-size: 1.6rem;
}

.navigation a {
  text-decoration: none;
  color: var(--white);
  padding: 1rem 3rem;
  overflow: hidden;
  transition: all 0.5s;
}

.navigation a:hover {
  background-color: var(--dark-purple);
  border-radius: 0.5rem;
}

.sticky {
  position: fixed;
  padding: 1rem 0 1rem;
  width: 100%;
  top: 0;
}

/* ----------
  Banner
*/

.banner {
  padding: 1rem 2rem 2rem;
}

.banner-content {
  align-items: center;
  padding: 18rem 0;
  /* width: 60rem; */
  margin: 0 auto;
}

.title-container {
  text-align: center;
  margin: 0 auto;
}

.title {
  font-size: 5rem;
  font-weight: 800;
  line-height: 0.8;
  width: 100%;
  margin-top: 0;
  margin-bottom: 0.7rem;
}

.subtitle {
  font-size: 2.5rem;
}

.ocean-blue {
  color: var(--ocean-blue);
}

.cta-container {
  display: flex;
  justify-content: center;
  margin-top: 6rem;
}

.btn {
  background: var(--purple-blue);
  border-radius: 3rem;
  outline: none;
  border: 0.2rem solid var(--ocean-blue);
  color: var(--white);
  cursor: pointer;
  text-decoration: none;
  transition: all 0.6s;
}

.btn:hover {
  background-color: var(--ocean-blue);
  color: var(--purple-blue);
  transform: translateY(-0.5rem);
}

.btn-large {
  padding: 1.4rem 3rem;
  font-size: 1.8rem;
}

.btn-small {
  padding: 0.8rem 2rem;
  font-size: 1.5rem;
}

.view-projects,
.contact-me {
  margin: 0 1rem;
}

.main {
  overflow: hidden;
}
/* ----------
  Skills
*/
.skills {
  margin: 10rem auto;
  max-width: 98%;
}

.skills-items {
  background-color: var(--cloudy);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.5);
  padding: 2rem;
  margin: 4rem auto 3rem;

  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  max-width: 100%;
}

.skills-item {
  font-size: 4rem;
  font-weight: 600;
  /* width: 15rem;
  height: 15rem; */
  /* border-bottom: 3px solid var(--dark-purple); */
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 1rem;
  padding: 2rem 3rem;
  border-radius: 1rem;
}

.html-bg {
  background-color: var(--html-color);
}

.css-bg {
  background-color: var(--css-color);
}

.js-bg {
  background-color: var(--js-color);
}

.reactjs-bg {
  background-color: var(--react-color);
}

.git-bg {
  background-color: var(--git-color);
}

/* ------------
  Projects
*/
.projects {
  display: flex;
  flex-direction: column;
  margin: 0 auto 10rem;
  color: #000;
  font-size: 1.4rem;
  max-width: 98%;
}

.section-title {
  text-align: center;
  font-size: 3rem;
  background-image: linear-gradient(
    90deg,
    var(--white),
    var(--purple-blue) 40%,
    var(--purple-blue) 60%,
    var(--white)
  );
  color: var(--white);
  padding: 1rem 0;
  max-width: 100%;
}

.projects-item {
  display: flex;
  background-color: var(--cloudy);
  /* background-color: rgba(72, 52, 212, 0.1); */

  box-shadow: 0 0 1px rgba(0, 0, 0, 0.5);
  align-items: center;
  justify-content: space-between;
  padding: 2.5rem;
  margin: 3rem 0;
}

.projects-item:last-of-type {
  margin-bottom: 0;
}

.image-container {
  max-width: 40%;
  max-height: 60%;
  overflow: hidden;
  border-radius: 1rem;
  box-shadow: 0 1px 6px rgba(0, 0, 0, 0.5);
}

.image-container img {
  max-width: 100%;
}

.content-container {
  display: flex;
  flex-direction: column;
  align-content: center;
  width: 50%;
}

.tech-stack-title {
  font-size: 1.6rem;
  margin-bottom: 0.5rem;
}

.stack-items {
  display: flex;
  background-image: linear-gradient(90deg, var(--purple-blue) 70%, #fff);
}

.stack-items span {
  padding: 0.4rem 0.8rem;
}

.css {
  color: #3c99dc;
}

.html {
  color: #f06529;
}

.javascript {
  color: #f0db4f;
  /* background-color: #323330; */
}

.reactjs {
  color: #61dbfb;
}

.description {
  margin-top: 1rem;
}

.description p {
  margin-bottom: 0.3rem;
}

.description-title {
  margin-bottom: 0.5rem;
}

.features-container {
  padding: 1rem 0;
}

.features {
  list-style-type: "→";
  margin-left: 2.5rem;
  list-style-position: outside;
  padding: 1rem 0 2rem;
}

.features li {
  padding-left: 0.5rem;
  margin-bottom: 0.3rem;
}

/* ----------
  Contact
*/
.contact {
  color: #000;
  margin: 1rem auto 10rem;
  max-width: 98%;
}

.contact-title {
  font-size: 4rem;
  margin-bottom: 2rem;
}

.contact-content {
  margin: 0 auto;
  background-color: var(--white);
  /* background: linear-gradient(110deg, #fdcd3b 60%, #ffed4b 60%); */
  /* background: linear-gradient(110deg, var(--white) 60%, var(--purple-blue) 60%); */
  background-image: url("../images/message.png");
  background-size: 30%;
  background-repeat: no-repeat;
  /* background-attachment: fixed; */
  background-position: 97% 50%;
  padding: 4rem 1rem 4rem 4rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.5);
  max-width: 100%;
}

.washed-color {
  color: rgba(149, 175, 192, 1);
}

.email,
.linkedin {
  display: flex;
  flex-direction: column;
  font-size: 1.6rem;
  color: var(--purple-blue);
}

.email a {
  text-decoration: none;
  color: var(--purple-blue);
  transition: all 0.5s;
}

.email a:hover,
.linkedin a:hover {
  background-color: var(--purple-blue);
  color: var(--ocean-blue);
  padding: 0.8rem;
}

.linkedin a {
  text-decoration: none;
  transition: all 0.5s;
}

.linkedin-icon {
  font-size: 1.8rem;
}
.email {
  margin-bottom: 1rem;
}

.icon-content {
  width: 50%;
  display: flex;
  justify-content: flex-end;
}

.mail-icon {
  max-width: 80%;
}
/* ----------
  Footer
*/
.footer {
  background-color: var(--purple-blue);
  padding: 3rem 0;
}

.socials-container {
  text-align: center;
}

.socials-container a {
  color: var(--ocean-blue);
  text-decoration: none;
  cursor: pointer;
  display: inline-block;
  transition: all 0.5s;
}

.socials-container a:hover {
  transform: scale(1.2);
}

.social-icon {
  font-size: 6rem;
  padding: 1rem;
  cursor: pointer;
}

.copyright {
  padding: 2rem 0;
  text-align: center;
}

.attributes {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.attributes small {
  padding: 0.4rem 0;
}
.attributes a {
  color: var(--white);
  text-decoration: none;
  transition: all 0.5s;
}

.attributes a:hover {
  text-decoration: underline;
}

/* .social-linkedin {
  padding-right: 1rem;
}

.social-github {
  padding-left: 1rem;
} */

/* ----------- 
  Media Queries
*/

@media only screen and (max-width: 650px) {
  .title {
    font-size: 4rem;
  }

  .subtitle {
    font-size: 2.3rem;
  }
}

@media only screen and (max-width: 600px) {
  .navbar-brand {
    font-size: 1.5rem;
  }

  .navigation a {
    padding: 0.8rem 1.8rem;
  }

  .title {
    font-size: 3.5rem;
    margin-bottom: 0.5rem;
  }

  .subtitle {
    font-size: 2rem;
  }

  .btn-large {
    padding: 1rem 2rem;
    font-size: 1.5rem;
  }

  .projects-item {
    flex-direction: column;
    padding: 2rem 0;
  }

  .content-container {
    margin-top: 4rem;
    width: 90%;
  }

  .contact-title {
    font-size: 3rem;
  }

  .mail-icon {
    max-width: 60%;
  }

  .social-icon {
    font-size: 5rem;
  }

  .attributes {
    flex-direction: column;
    align-items: center;
  }
}

@media only screen and (max-width: 490px) {
  .main-navbar {
    padding: 1rem 0.5rem 1rem 2.2rem;
  }

  .navbar-brand {
    font-size: 1.2rem;
  }

  .navigation a {
    font-size: 1.4rem;
  }

  .banner-content {
    padding: 10rem 0;
  }
  .title {
    font-size: 3rem;
  }

  .subtitle {
    font-size: 1.5rem;
  }
  .mail-icon {
    max-width: 70%;
  }

  .social-icon {
    font-size: 4rem;
  }

  .projects-item {
    margin: 2rem 0;
  }
}

@media only screen and (max-width: 420px) {
  .main-navbar {
    padding: 1rem;
    justify-content: center;
  }

  .navbar-brand {
    display: none;
  }

  .navigation a {
    font-size: 1.4rem;
  }

  .title {
    font-size: 2.5rem;
  }

  .contact-content {
    padding: 2rem;
  }

  .contact-title {
    font-size: 3rem;
  }
}

@media only screen and (max-width: 400px) {
  .title {
    font-size: 2.5rem;
  }

  .subtitle {
    font-size: 1.2rem;
  }

  .social-icon {
    font-size: 4rem;
  }
}

@media (max-width: 377px) {
  .title {
    font-size: 2rem;
    margin-bottom: 1rem;
  }

  .btn-large {
    padding: 1rem 1.5rem;
    font-size: 1rem;
  }

  .contact-title {
    font-size: 2.5rem;
  }

  .for-wider-btn {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .btn-small {
    margin-bottom: 1rem;
  }
}

@media (max-width: 341px) {
  .contact-content {
    background-position: 97% 20%;
  }
}
